<template>
    <div class="container">
        <form @submit="addItem">
            <datepicker class='datepicker' placeholder="Datum" v-model="date"></datepicker>
            <input id="enterproduct" type="text" v-model="product" name="product" placeholder="Enter Product Name">
            <input type="text" v-model="category" name="category" placeholder="Enter Product Category">
            <input type="number" step="1" v-model="count" name="count" placeholder="Enter Number Of Products">
            <input type="number" step="0.01" v-model="price" name="price" placeholder="Enter Product Price">
            <input type="submit" value="Submit" class="btn">
        </form>
    </div>
</template>

<script>
import Datepicker from 'vuejs-datepicker';
export default {

    name: "AddItem",
    components: {
      Datepicker
    },
    data() {
        return {
            product: '',
            category: '',
            count: 1,
            price: 0,
            date: '',
        }
    },
    methods: {
        addItem(e) {
            e.preventDefault();
            
            const newItem = {
                product: this.product,
                category: this.category,
                price: this.price,
                createdAt: this.date != '' ? new Date(this.date) : new Date(),
            };
            for(let i = 0; i < this.count; i++)
            {
                this.$emit('add-item', newItem);
            }

            this.product = '';
            this.count = 1;
            this.price = '';

            document.querySelector("#enterproduct").focus();
        }
    }
}
</script>

<style scoped>
    .container {
        padding-top: 20px;
        padding-bottom: 20px;
        font-size: 15px;
    }

    form {
        display: flex;
        flex-wrap: wrap;
        font-size: inherit;
    }

    input[type="text"], input[type="number"]{
        flex: 10;
        padding: 5px;
        font-size: inherit;
    }

    .datepicker {
        border: none;
    }

    input[type="submit"]{
        width: 100%;
        padding: 5px;
        font-size: inherit;
    }
</style>